Skip to main content
GET
Get NFTs from Wallet
This API enables fetching the NFTs for a provided wallet address and chain. The response will be slightly different between EVM, Solana, and other wallets. See the example responses to the right.

Authorizations

X-API-KEY
string
header
required

API key required for authentication

Path Parameters

locator
string
required

The wallet, as <chain>:<address>, email:<email>:<chain> or userId:<userId>:<chain>.

Example:

"polygon:0x1234567890123456789012345678901234567890"

Query Parameters

page
string

Page number, starting at 1.

Pattern: ^\d+$
perPage
string

Number of items per page.

Pattern: ^\d+$
contractAddress
string[]

Filter NFTs by contract address. Can be a single address or an array of addresses.

tokenId
string

Filter NFTs by token ID

Example:

"123"

Response

200 - application/json

Returns an array of NFTs in the wallet

chain
enum<string>
required

The blockchain chain

Available options:
abstract,
abstract-testnet,
apechain,
aptos,
arbitrum,
arbitrum-sepolia,
arbitrumnova,
arc,
arc-testnet,
astar-zkevm,
avalanche,
avalanche-fuji,
base,
base-goerli,
base-sepolia,
bsc,
bsc-testnet,
celo,
celo-sepolia,
chiliz,
chiliz-spicy-testnet,
coti,
coti-testnet,
curtis,
ethereum,
ethereum-goerli,
ethereum-sepolia,
flow,
flow-testnet,
hedera,
hedera-testnet,
hypersonic-testnet,
lightlink,
lightlink-pegasus,
mantle,
mantle-sepolia,
mode,
mode-sepolia,
optimism,
optimism-goerli,
optimism-sepolia,
plume,
plume-testnet,
polygon,
polygon-amoy,
polygon-mumbai,
rari,
rari-testnet,
robinhood-chain,
robinhood-chain-testnet,
scroll,
scroll-sepolia,
sei-atlantic-2-testnet,
sei-pacific-1,
shape,
shape-sepolia,
skale-nebula,
skale-nebula-testnet,
solana,
soneium,
soneium-minato-testnet,
space,
space-testnet,
stellar,
story,
story-testnet,
sui,
tempo,
tempo-testnet,
u2u-nebulas,
u2u-solaris,
verify-testnet,
viction,
viction-testnet,
world-chain,
world-chain-sepolia,
xai,
xai-sepolia-testnet,
xion,
zenchain-testnet,
zkatana,
zkyoto,
zora,
zora-goerli,
zora-sepolia
Example:

"ethereum"

locator
string
required

The unique locator for the token

Example:

"ethereum:0x1234567890123456789012345678901234567890:123"

contractAddress
string

EVM only. The address of the token contract.

Example:

"0x1234567890123456789012345678901234567890"

isCompressed
boolean

Solana only. Whether the token is a compressed NFT.

isSpam
boolean

Whether the token is marked as spam

metadata
object

NFT metadata including name, description, image, and attributes

mintHash
string

Solana only. The mint address of the token.

Example:

"7EYnhQoR9YM3N7UoaKRoA44Uy8JeaZV3qyouov87awMs"

subscription
object

Subscription information if the token has subscription properties

tokenId
string

EVM only. The ID of the token in its contract.

Example:

"123"

tokenStandard
enum<string>

The standard that the token follows on its chain.

Available options:
erc-1155,
erc-5643,
erc-721,
metaplex-core,
metaplex-core-compressed,
metaplex-token-metadata
Example:

"erc-721"

Example: